<!-- MODULE News CMS -->
<div id="cms_block" class="block corners">
    <a href="news.php" class="block_header corners"><strong>Новости</strong></a>
    <ul>
	{foreach from=$news item=news}
	    <li><article>
	    <h3><a href="cms.php?id_cms={$news.id}" title="{$news.title|escape:htmlall:'UTF-8'}">{$news.title|escape:htmlall:'UTF-8'}</a></h3>
	    {if $brief==1}
		<p>{$news.brief|strip_tags:'UTF-8'|truncate:250:'...'}</p>
	    {/if}
		<abbr title="{$news.date_add|date_format:"%Y-%m-%dT%H:%M:%S"}">
                                      {$news.date_add|date_format}
                               </abbr>
	    </article></li>
	{/foreach}
    </ul>
    <p class="text_right"><a href="news.php" class="exclusive">Все новости</a></p>
</div>
<!-- /MODULE News CMS -->
