<!-- MODULE News CMS -->
<div id="cms_block" class="block">
    <a href="news.php" class="block_header"><strong>Новости</strong></a>
    <ul>
	{foreach from=$news item=news}
	    <li><article>
	    <h3><a href="cms.php?id_cms={$news.id}" title="{$news.title|escape:htmlall:'UTF-8'}">{$news.title|escape:htmlall:'UTF-8'}</a></h3>
	    {if $brief==1}
		<p>{$news.brief}</p>
	    {/if}
		<abbr title="{$news.date_add|date_format:"%Y-%m-%dT%H:%M:%S"}">
                                      {$news.date_add|date_format}
                               </abbr>
	    </article></li>
	{/foreach}
    </ul>
</div>
<!-- /MODULE News CMS -->
{if $pagin == 1}
	<div class="rte pagination">
	    {if $next <= $max-1}<div style="float:left;width:auto;">&laquo;&nbsp;<a href="news.php?page={$next}">{l s='Previous'}</a></div>{/if}
	    {if $prev >= 0}<div style="float:right;width:auto;"><a href="news.php?page={$prev}">{l s='Next'}</a>&nbsp;&raquo;</div>{/if}
	</div><br class="clear" />
{/if}

{if !$content_only}
<p><a href="{$base_dir}" title="{l s='Home'}"><img src="{$img_dir}icon/home.gif" alt="{l s='Home'}" class="icon" /></a><a href="{$base_dir}" title="{l s='Home'}">{l s='Home'}</a></p>
{/if}

